<?xml version="1.0"?>
<configuration>
  <configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >    
   <section name="ZKTimeNet.UI.Modules.attendance.ImportExportPara" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
     <section name="ZKTimeNetLanguage" 
              type="ZKTimeNet.Language.LanguageSection, ZKTimeNet.Language"
              requirePermission="false"
              allowDefinition="Everywhere"/>
  </configSections>

	<!--log4net配置-->
	<log4net debug="true">
		<appender name="EventLogAppender" type="log4net.Appender.EventLogAppender">
			<layout type="log4net.Layout.PatternLayout">
				<param name="ConversionPattern" value="%d [%t] %-5p %c [%x] - %m%n" />
			</layout>
		</appender>
		<root>
			<level value="ALL" />
			<appender-ref ref="RollingLogFileAppender" />
		</root>
	</log4net>

  <!--useLegacyV2RuntimeActivationPolicy="true"-->
	<startup useLegacyV2RuntimeActivationPolicy="true">
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
	</startup>

  <system.data>
    <DbProviderFactories>
      <remove invariant="System.Data.SQLite"/>
      <add name="SQLite Data Provider"
          invariant="System.Data.SQLite"
          description=".Net Framework Data Provider for SQLite"
          type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite"/>
    </DbProviderFactories>
  </system.data>

	<appSettings>
		<add key="CloseMethodGroup" value="0" />
		<add key="AgainPrompt" value="0" />
		<add key="License" value="" />
		<add key="InstallDate" value=""/>
		<add key="UpdateConfirm" value="true"/>
		<add key="RemainDays" value="30"/>
		<add key="StartDate" value=""/>
		<add key="EndDate" value=""/>
		<add key="NeedDistinct" value="0"/>
	</appSettings>
 <userSettings>
  <ZKTimeNet.UI.Modules.attendance.ImportExportPara>
   <setting name="TerminalScreen" serializeAs="String">
    <value>1</value>
   </setting>
   <setting name="AlgorithmType" serializeAs="String">
    <value>1</value>
   </setting>
   <setting name="USBDeivce" serializeAs="String">
    <value />
   </setting>
  </ZKTimeNet.UI.Modules.attendance.ImportExportPara>
 </userSettings>

  <ZKTimeNetLanguage default="US">
    <Settings>
      <add key="es-ES" value="ES"/>
      <add key="en-US" value="US"/>
    </Settings>
  </ZKTimeNetLanguage>
	
	
	
	
	
</configuration>


